use bevy::{prelude::*, window::WindowResolution};

pub struct GameSetupPlugin;

impl Plugin for GameSetupPlugin {
    fn build(&self, app: &mut App) {
        app.insert_resource(ClearColor(Color::BLACK)).add_plugins(
            DefaultPlugins
                .set(WindowPlugin {
                    primary_window: Some(Window {
                        resolution: WindowResolution::new(512.0 * 2.0, 320.0 * 2.0),
                        title: "Adventure sim <press P to toggle debug mode>".to_string(), // NOTE: Replace this
                        resizable: false,
                        ..default()
                    }),
                    ..default()
                })
                .set(ImagePlugin::default_nearest()),
        );
    }
}
